Bug 32086 - prevent any user actions during the module uninstall
prevent any user actions during the module uninstall
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Module System
3.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
http://www.netbeans.org/servlets/Read...
: THREAD, UI
Depends on:
Blocks: 35753
  Show dependency treegraph
 
Reported: 2003-03-18 13:23 UTC by David Konecny
Modified: 2008-12-23 08:35 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2003-03-18 13:23:27 UTC
(This issue might be valid also for module
install.) If user disabled some module(s) the
disabling itself is started on the background what
means that user can click some menu items and can
get exceptions because menu action is just being
removed.

It would be better to show some modal dialog
(progress dialog if possible) telling user that
disabling of modules is in progress and
disallowing them to do any operations in IDE for
that time.

From the discussion it looks that proper
implementation of this issue does not make any
sense before the IDE threading is solved. Add
dependencies accordingly please.
Comment 1 Jesse Glick 2008-02-24 21:23:11 UTC
6.0 Plugin Manager does not support live disabling anyway.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo